Bug 228693 - devel/py-os-client-config: update to 1.29.0
Summary: devel/py-os-client-config: update to 1.29.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on: 228689
Blocks: 228696 228697 228701
  Show dependency treegraph
 
Reported: 2018-06-02 15:09 UTC by Kai Knoblich
Modified: 2018-07-06 17:42 UTC (History)
3 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
py-os-client-config-1.29.0.patch (1.98 KB, patch)
2018-06-02 15:09 UTC, Kai Knoblich
no flags Details | Diff
py-os-client-config-1.29.0-v2.patch (1.92 KB, patch)
2018-06-22 14:14 UTC, Kai Knoblich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-06-02 15:09:59 UTC
Created attachment 193933 [details]
py-os-client-config-1.29.0.patch

Hello,

attached is the patch from svn that updates devel/py-os-client-config to 1.29.0 .

Changes by upstream:
- https://docs.openstack.org/releasenotes/os-client-config/queens.html

Changes to the port:
- added LICENSE_FILE
- sorted variables a bit

QA:
~~~
- poudriere (11.1-RELEASE amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK

Note:
- There's already a newer version at PyPI available but v1.29.0 is the latest supported release for the Queens Release Series. (see also: https://releases.openstack.org/queens/index.html#queens-os-client-config)
- Before this update can be committed following port must be updated first:
-> update devel/py-openstacksdk (see also PR # )
Comment 1 Kai Knoblich freebsd_committer 2018-06-22 14:14:29 UTC
Created attachment 194488 [details]
py-os-client-config-1.29.0-v2.patch

Rebased patch after r472884
Comment 2 commit-hook freebsd_committer 2018-07-06 17:42:20 UTC
A commit references this bug:

Author: miwi
Date: Fri Jul  6 17:41:17 UTC 2018
New revision: 474022
URL: https://svnweb.freebsd.org/changeset/ports/474022

Log:
  - Update to 1.29.0
  - Added LICENSE_FILE
  - Sorted variables a bit

  PR:	228693
  Submitted by:	freebsd_ports@k-worx.org
  Approved by:	maintainer

Changes:
  head/devel/py-os-client-config/Makefile
  head/devel/py-os-client-config/distinfo